org.bouncycastle.crypto.params

## Class GOST3410Parameters

- java.lang.Object
- - org.bouncycastle.crypto.params.GOST3410Parameters

All Implemented Interfaces:
  CipherParameters

    public class GOST3410Parameters
    extends java.lang.Object
    implements CipherParameters

### Constructor Summary

Constructors
Constructor and Description
`GOST3410Parameters(java.math.BigInteger p, java.math.BigInteger q, java.math.BigInteger a)`
`GOST3410Parameters(java.math.BigInteger p, java.math.BigInteger q, java.math.BigInteger a, GOST3410ValidationParameters params)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`java.math.BigInteger` `getA()`
`java.math.BigInteger` `getP()`
`java.math.BigInteger` `getQ()`
`GOST3410ValidationParameters` `getValidationParameters()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GOST3410Parameters

    public GOST3410Parameters(java.math.BigInteger p,
                      java.math.BigInteger q,
                      java.math.BigInteger a)

#### GOST3410Parameters

    public GOST3410Parameters(java.math.BigInteger p,
                      java.math.BigInteger q,
                      java.math.BigInteger a,
                      GOST3410ValidationParameters params)

### Method Detail

#### getP

    public java.math.BigInteger getP()

#### getQ

    public java.math.BigInteger getQ()

#### getA

    public java.math.BigInteger getA()

#### getValidationParameters

    public GOST3410ValidationParameters getValidationParameters()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`